%define	desktop_vendor planetccrma

Summary: Portable Impulse Tracker clone
Name: cheesetracker
Version: 0.9.15.3
Release: 3%{?dist}
Group: Applications/Multimedia
License: GPL
Url: http://cheesetracker.sourceforge.net/
Source: cheesetracker-%{version}.tar.gz
Source1: cheesetracker.desktop
Patch0: cheesetracker-0.9.15.3-gcc43.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils libsigc++-devel scons audiofile-devel
BuildRequires: alsa-lib-devel jack-audio-connection-kit-devel zlib-devel
BuildRequires: gmp-devel
%if 0%{fedora} >= 9
BuildRequires: qt3-devel
%else
BuildRequires: qt-devel
%endif

%description
Cheesetracker is a portable Impulse Tracker clone. It supports all
Impulse Tracker features except a few. For now the main goal is to
remain at IT Feature set level, but very soon we might be adding new
features to it.

%prep
%setup -q 
%patch0 -p1

%build
# change ladspa path for x86_64 builds
%ifarch x86_64
%{__perl} -p -i -e "s|/lib/ladspa|/%{_lib}/ladspa|g" \
          common/plugins/effects/ladspa/ladspa_effect_source.cpp
%endif

scons

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 0755 cheesetracker/program__QT/cheesetracker_qt %{buildroot}%{_bindir}

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Jack X-MIDI X-Synthesis Midi"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%files
%defattr(-,root,root)
%doc 
%{_bindir}/cheesetracker_qt
%{_datadir}/applications/*cheesetracker.desktop

%clean
%{__rm} -rf %{buildroot}

%changelog
* Tue Jul 14 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.15.3-1
- updated to 0.9.15.3, updated dependencies
- added gcc 4.3 patch to build on fc9 (from Debian)

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Tue Jan  2 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.9-3
- rebuilt on fc6
- fix ladspa load path for x86_64

* Tue Dec 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.9-2
- added patch to build on fc5/gcc4.1
- added loader buffer overflow patch from debian

* Tue Dec 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Fri Apr 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.9-1
- updated to 0.9.9

* Tue Nov  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- updated to 0.9.1

* Thu Oct 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-1
- initial build
